%define module_name OpenMP-Environment
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Util/H2O.pm) perl(Validate/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2.0
Release: alt2
Summary: Perl extension managing OpenMP variables in C<% ENV> within a script.
Group: Development/Perl
License: perl
URL: https://github.com/Perl-OpenMP/p5-OpenMP-Environment

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OO/OODLER/%{module_name}-%{version}.tar.gz

%description
Provides accessors for affecting the OpenMP/GOMP environmental
variables described at at the time of this writing, as:

There are setters, getters, and unsetters for all published OpenMP
(and GOMP) environmental variables, in additional to some utility
methods.

`The environment variables which beginning with OMP_ are defined
by section 4 of the OpenMP specification in version 4.5, while
those beginning with GOMP_ are GNU extensions.'

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/O*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 1.2.0-alt1
- updated by package builder

* Mon Jun 27 2022 Igor Vlasenko <viy@altlinux.org> 1.1.3-alt1
- updated by package builder

* Thu Nov 25 2021 Igor Vlasenko <viy@altlinux.org> 1.1.2-alt1
- updated by package builder

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.0.5-alt2
- rebuild with perl 5.34.0

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1
- updated by package builder

* Wed Apr 21 2021 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1
- updated by package builder

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.ru> 1.0.3-alt1
- initial import by package builder

